Index: doc/aubiocut.sgml
===================================================================
--- doc/aubiocut.sgml	(revision 042e0959a7832921a051fa4c04860cca2ba0c548)
+++ doc/aubiocut.sgml	(revision beea3cfad02b018a96c83874f871cd152a48c1e6)
@@ -58,6 +58,5 @@
     <refname>&dhpackage;</refname>
 
-    <refpurpose>a command line tool for real time wav to midi
-    conversion</refpurpose>
+    <refpurpose>a command line tool to extract onsets and tempo from sound files.</refpurpose>
 
   </refnamediv>
@@ -70,10 +69,21 @@
     <title>DESCRIPTION</title>
 
-    <para>This manual page documents briefly the <command>&dhpackage;</command> command. </para>
-    
-    <para><command>&dhpackage;</command> takes an input sound file and produce
-    small file sliced at onset locations. The slices can then be sent to a
-    player, a sequencer, a sampler, or wherever else. The files can be cut at
-    onset times or at silences.</para>
+    <para>This manual page documents briefly the <command>&dhpackage;</command> command.</para>
+
+    <para>The <emphasis>aubio</emphasis> library provides a small set of
+    functions to extract events and objects from audio, from live streams or
+    still files. Onsets are used to label the beginning of notes, pitches to
+    label their height.</para>
+
+    <para><command>&dhpackage;</command> attempts to detect onset times, the
+    beginning of discreted sound events, or beat locations, in audio
+    signals.</para>
+
+    <para>When using the <option>--cut</option> option,
+    <command>&dhpackage;</command> takes an input sound file and produce small
+    files sliced at onset locations (or silences). The slices can then be sent
+    for example to a player, a sequencer, or a sampler.</para>
+
+    <para>A plotting module is available via the Gnuplot Python package.</para>
 
   </refsect1>
@@ -81,114 +91,152 @@
     <title>OPTIONS</title>
 
-<para>This program follows the usual GNU command line syntax, with long options
-starting with two dashes (`-').  A summary of options is included below.</para>
+    <para>This program follows the usual GNU command line syntax, with long
+    options starting with two dashes (`-').  A summary of options is included
+    below.</para>
 
 <variablelist>
+  <varlistentry>
+  <term><option>-i</option>
+  <option>--input filein</option></term>
+  <listitem>
+  <para>input sound file</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-m</option>
+  <option>--mode onset_detection_mode</option></term>
+  <listitem>
+  <para>onset detection mode [default=dual] complexdomain|hfc|phase|specdiff|energy|kl|mkl|dual</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-b</option>
+  <option>--beat</option></term>
+  <listitem>
+  <para>detect beats and output beat locations</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-B</option>
+  <option>--bufsize=BUFSIZE</option></term>
+  <listitem>
+  <para>buffer size [default=512]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-H</option>
+  <option>--hopsize=HOPSIZE</option></term>
+  <listitem>
+  <para>overlap size [default=256]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-t</option>
+  <option>--threshold=THRESHOLD</option></term>
+  <listitem>
+  <para>onset peak picking threshold [default=0.3]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-C</option>
+  <option>--dcthreshold=DCTHRESHOLD</option></term>
+  <listitem>
+  <para>onset peak picking DC component [default=1.]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-s</option>
+  <option>--silence=SILENCE</option></term>
+  <listitem>
+  <para>silence threshold [default=-70]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-M</option>
+  <option>--mintol=MINIOI</option></term>
+  <listitem>
+  <para>minimum inter onset interval [default=0.048s]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-D</option>
+  <option>--delay=DELAY</option></term>
+  <listitem>
+  <para>number of seconds to take back [default=system]
+  default system delay is 3*hopsize/samplerate</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-L</option>
+  <option>--localmin</option></term>
+  <listitem>
+  <para>use local minima after peak detection</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-c</option>
+  <option>--cut</option></term>
+  <listitem>
+  <para>cut input sound file at detected labels (best used with option -L)</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-d</option>
+  <option>--derivate</option></term>
+  <listitem>
+  <para>derivate onset detection function</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-S</option>
+  <option>--silencecut</option></term>
+  <listitem>
+  <para>outputs silence locations instead of onset locations</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-z</option>
+  <option>--zerocross=ZEROTHRES</option></term>
+  <listitem>
+  <para>zero-crossing threshold for slicing [default=0.00008]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-f</option>
+  <option>--function</option></term>
+  <listitem>
+  <para>print detection function</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-q</option>
+  <option>--quiet</option></term>
+  <listitem>
+  <para>be quiet</para>
+  </listitem>
+  </varlistentry>
   <varlistentry>
   <term><option>-h</option>
   <option>--help</option></term>
   <listitem>
-  <para>show this help message and exit</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-i</option>
-  <option>--input filein</option></term>
-  <listitem>
-  <para>input sound file</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-m</option>
-  <option>--mode onset_detection_mode</option></term>
-  <listitem>
-  <para>onset detection mode [default=dual] complexdomain|hfc|phase|specdiff|energy|kl|mkl|dual</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-B</option>
-  <option>--bufsize=BUFSIZE</option></term>
-  <listitem>
-  <para>buffer size [default=512]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-H</option>
-  <option>--hopsize=HOPSIZE</option></term>
-  <listitem>
-  <para>overlap size [default=256]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-t</option>
-  <option>--threshold=THRESHOLD</option></term>
-  <listitem>
-  <para>onset peak picking threshold [default=0.3]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-C</option>
-  <option>--dcthreshold=DCTHRESHOLD</option></term>
-  <listitem>
-  <para>onset peak picking DC component [default=1.]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-s</option>
-  <option>--silence=SILENCE</option></term>
-  <listitem>
-  <para>silence threshold [default=-70]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-M</option>
-  <option>--mintol=MINIOI</option></term>
-  <listitem>
-  <para>minimum inter onset interval [default=0.048s]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-D</option>
-  <option>--delay=DELAY</option></term>
-  <listitem>
-  <para>number of seconds to take back [default=system]
-  default system delay is 3*hopsize/samplerate</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-L</option>
-  <option>--localmin</option></term>
-  <listitem>
-  <para>use local minima after peak detection</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-c</option>
-  <option>--cut</option></term>
-  <listitem>
-  <para>cut input sound file at detected labels (best used with option -L)</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-d</option>
-  <option>--derivate</option></term>
-  <listitem>
-  <para>derivate onset detection function</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-S</option>
-  <option>--silencecut</option></term>
-  <listitem>
-  <para>outputs silence locations instead of onset locations</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-z</option>
-  <option>--zerocross=ZEROTHRES</option></term>
-  <listitem>
-  <para>zero-crossing threshold for slicing [default=0.00008]</para>
-  </listitem>
-  </varlistentry>
+  <para>Show a summary of options.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-v</option>
+  <option>--verbose</option></term>
+  <listitem>
+  <para>make lots of noise [default]</para>
+  </listitem>
+  </varlistentry>
+  </variablelist>
+
+  <refsect2>
+    <title>Plotting options</title>
+
+  <para>When the Python interface to Gnuplot is installed, the following
+  additional options are available.</para>
+
+  <variablelist>
   <varlistentry>
   <term><option>-p</option>
@@ -199,4 +247,11 @@
   </varlistentry>
   <varlistentry>
+  <term><option>-n</option>
+  <option>--no-onsets</option></term>
+  <listitem>
+  <para>do not plot detected onsets, only detection functions</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
   <term><option>-x</option>
   <option>--xsize=SIZE</option></term>
@@ -213,48 +268,22 @@
   </varlistentry>
   <varlistentry>
-  <term><option>-f</option>
-  <option>--function</option></term>
-  <listitem>
-  <para>print detection function</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-n</option>
-  <option>--no-onsets</option></term>
-  <listitem>
-  <para>do not plot detected onsets, only detection functions</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
   <term><option>-O</option>
   <option>--outplot=OUTPLOT</option></term>
   <listitem>
-  <para>save plot to output.{eps,ps,png,svg}</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-v</option>
-  <option>--verbose</option></term>
-  <listitem>
-  <para>make lots of noise [default]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-q</option>
-  <option>--quiet</option></term>
-  <listitem>
-  <para>be quiet</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-b</option>
-  <option>--beat</option></term>
-  <listitem>
-  <para>detect beats and output beat locations</para>
-  </listitem>
-  </varlistentry>
-</variablelist>
-
-</refsect1>
+  <para>save plot to output.{ps,eps,png,svg} instead of displaying it</para>
+  </listitem>
+  </varlistentry>
+  </variablelist>
+  </refsect2>
+
+  </refsect1>
+  <refsect1>
+  <title>BUGS</title>
+
+  <para>For now the program has only been tested on audio signals sampled at
+  44.1&nbsp;kHz.</para>
+
+  </refsect1>
+
   <refsect1>
     <title>SEE ALSO</title>
Index: doc/aubionotes.sgml
===================================================================
--- doc/aubionotes.sgml	(revision 042e0959a7832921a051fa4c04860cca2ba0c548)
+++ doc/aubionotes.sgml	(revision beea3cfad02b018a96c83874f871cd152a48c1e6)
@@ -58,11 +58,10 @@
     <refname>&dhpackage;</refname>
 
-    <refpurpose>a command line tool for real time wav to midi
-    conversion</refpurpose>
+    <refpurpose>a command line tool for real time extraction of musical notes.</refpurpose>
 
   </refnamediv>
   <refsynopsisdiv>
     <cmdsynopsis>
-      <command>&dhpackage;</command>
+      <command>&dhpackage; <parameter>[options] [-i soundfile]</parameter></command>
     </cmdsynopsis>
   </refsynopsisdiv>
@@ -72,13 +71,18 @@
     <para>This manual page documents briefly the <command>&dhpackage;</command> command.</para>
 
-    <para><command>&dhpackage;</command> is still in an experimental state.
-    Its aim is to extract the melody and output it as a midi stream with a
-    minimal deleay. Pitch candidates are selected at each frame, onset and
-    silences are used to segment the notes.</para>
-
-    <para>When started without an input file argument (<option>-i</option>),
-    aubionotes creates a jack input and a midi output. When an input file is
-    given, it outputs the results on the console.</para>
-
+    <para>The <emphasis>aubio</emphasis> library provides a small set of
+    functions to extract events and objects from audio, from live streams or
+    still files. Onsets are used to label the beginning of notes, pitches to
+    label their height.</para>
+
+    <para><command>&dhpackage;</command> attempts to detect notes in audio
+    signals, segmenting consecutive events using onset detection, and
+    determining their pitch using a fundamental frequency extraction algorithm.
+    </para>
+    
+    <para>When started without an input file argument
+    (<option>--input</option>), <command>&dhpackage;</command> creates a jack
+    input and a MIDI output. When an input file is given, the results are given
+    on the console.</para>
 
   </refsect1>
@@ -95,6 +99,8 @@
   <option>--input filein</option></term>
   <listitem>
-<para>Run analysis on this audio file. Most common (uncompressed) formats are 
-supported.</para>
+
+  <para>Run analysis on this audio file. Most common uncompressed formats are
+  supported.</para>
+
   </listitem>
   </varlistentry>
@@ -105,5 +111,5 @@
 
   <para>Save results in this file. The file will be created on the model of the
-  input file. Results are marked by a very short wood-block sample.</para>
+  input file. Results are marked by a short wood-block sample.</para>
 
   </listitem>
@@ -115,6 +121,7 @@
 
   <para>The pitch detection function to run. Available functions are
-  <emphasis>mcomb</emphasis>, <emphasis>yin</emphasis>,
-  <emphasis>fcomb</emphasis> and <emphasis>schmitt</emphasis>.</para>
+  <emphasis>yinfft</emphasis>, <emphasis>yin</emphasis>,
+  <emphasis>mcomb</emphasis>, <emphasis>fcomb</emphasis>, and
+  <emphasis>schmitt</emphasis>.</para>
 
   </listitem>
@@ -141,7 +148,7 @@
   <para>Set the threshold value for the onset peak picking. Typical values are
   within <literal>0.001</literal> and <literal>0.900</literal>. Default is
-  <literal>0.1</literal>. The <emphasis>lower</emphasis> the <emphasis>more
-  sensible</emphasis>.  Try <literal>0.3</literal> in case of
-  over-detections.</para>
+  <literal>0.1</literal>. <emphasis>Lower</emphasis> threshold values imply 
+  <emphasis>more</emphasis> onsets detected. Try <literal>0.3</literal> in
+  case of over-detections.</para>
 
   </listitem>
@@ -151,5 +158,12 @@
   <option>--jack</option></term>
   <listitem>
-<para>Run in jack mode (default when started without input file) and creates a midi output.</para>
+  <para>Run in jack mode (default when started without input file) and creates a midi output.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-v</option>
+  <option>--verbose</option></term>
+  <listitem>
+  <para>Show results on the console (default).</para>
   </listitem>
   </varlistentry>
@@ -158,13 +172,5 @@
   <option>--help</option></term>
   <listitem>
-<para>Show summary of options.</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-v</option>
-  <option>--verbose</option></term>
-  <listitem>
-<para>Show results on the console.</para>
-
+  <para>Show summary of options.</para>
   </listitem>
   </varlistentry>
@@ -172,4 +178,12 @@
 
   </refsect1>
+  <refsect1>
+  <title>BUGS</title>
+
+  <para>For now the program has only been tested on audio signals sampled at
+  44.1&nbsp;kHz.</para>
+
+  </refsect1>
+
   <refsect1>
     <title>SEE ALSO</title>
@@ -178,17 +192,9 @@
     <command>aubioonset</command>(1)
     <command>aubiotrack</command>(1)
-    <command>aubionotes</command>(1)
+    <command>aubiocut</command>(1)
     <command>aubiopitch</command>(1)
     </para>
 
   </refsect1>
-
-<refsect1>
-<title>BUGS</title>
-
-<para>For now the program has been only tested on audio signals sampled at 44.1
-kHz. The pitch detectors are also way too cpu-intensive.</para>
-
-</refsect1>
 
   <refsect1>
Index: doc/aubioonset.sgml
===================================================================
--- doc/aubioonset.sgml	(revision 042e0959a7832921a051fa4c04860cca2ba0c548)
+++ doc/aubioonset.sgml	(revision beea3cfad02b018a96c83874f871cd152a48c1e6)
@@ -63,5 +63,5 @@
   <refsynopsisdiv>
     <cmdsynopsis>
-      <command>&dhpackage;</command>
+      <command>&dhpackage; <parameter>[options] [-i soundfile]</parameter></command>
     </cmdsynopsis>
   </refsynopsisdiv>
@@ -71,14 +71,16 @@
     <para>This manual page documents briefly the <command>&dhpackage;</command> command.</para>
 
-<para>The library <emphasis>aubio</emphasis> provides a small set of functions
-to extract events and objects from audio, from live streams or still files.
-Onsets are used to label the beginning of notes, pitches to label their
-height.</para>
-
-<para><command>aubionotes</command> is still in an experimental state. Its aim
-is to segment notes with onsets, and label them with their detected pitch. When
-started without an input file argument (<option>-i</option>), aubionotes
-creates a jack input and a midi output. When an input file is given, it outputs
-the results on the console.</para>
+    <para>The <emphasis>aubio</emphasis> library provides a small set of
+    functions to extract events and objects from audio, from live streams or
+    still files. Onsets are used to label the beginning of notes, pitches to
+    label their height.</para>
+
+    <para><command>&dhpackage;</command> attempts to detect onset times, the
+    beginning of discreted sound events, in audio signals.</para>
+
+    <para>When started without an input file argument
+    (<option>--input</option>), <command>&dhpackage;</command> creates jack
+    input and output ports. When an input file is given, the results are given
+    on the console.</para>
 
   </refsect1>
@@ -86,6 +88,7 @@
     <title>OPTIONS</title>
 
-<para>This program follows the usual GNU command line syntax, with long options
-starting with two dashes (`-').  A summary of options is included below.</para>
+    <para>This program follows the usual GNU command line syntax, with long
+    options starting with two dashes (`-').  A summary of options is included
+    below.</para>
 
 <variablelist>
@@ -94,6 +97,8 @@
   <option>--input filein</option></term>
   <listitem>
-<para>Run analysis on this audio file. Most common (uncompressed) formats are 
-supported.</para>
+
+  <para>Run analysis on this audio file. Most common uncompressed formats are
+  supported.</para>
+
   </listitem>
   </varlistentry>
@@ -104,5 +109,5 @@
 
   <para>Save results in this file. The file will be created on the model of the
-  input file. Results are marked by a very short wood-block sample.</para>
+  input file. Results are marked by a short wood-block sample.</para>
 
   </listitem>
@@ -129,7 +134,7 @@
   <para>Set the threshold value for the onset peak picking. Typical values are
   within <literal>0.001</literal> and <literal>0.900</literal>. Default is
-  <literal>0.1</literal>. The <emphasis>lower</emphasis> the <emphasis>more
-  sensible</emphasis>.  Try <literal>0.3</literal> in case of
-  over-detections.</para>
+  <literal>0.1</literal>. <emphasis>Lower</emphasis> threshold values imply 
+  <emphasis>more</emphasis> onsets detected. Try <literal>0.3</literal> in
+  case of over-detections.</para>
 
   </listitem>
@@ -139,5 +144,12 @@
   <option>--jack</option></term>
   <listitem>
-<para>Run in jack mode (default when started without input file) and creates a midi output.</para>
+  <para>Run in jack mode (default when started without input file) and creates a midi output.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-v</option>
+  <option>--verbose</option></term>
+  <listitem>
+  <para>Show results on the console (default).</para>
   </listitem>
   </varlistentry>
@@ -146,13 +158,5 @@
   <option>--help</option></term>
   <listitem>
-<para>Show summary of options.</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-v</option>
-  <option>--verbose</option></term>
-  <listitem>
-<para>Show results on the console.</para>
-
+  <para>Show summary of options.</para>
   </listitem>
   </varlistentry>
@@ -160,22 +164,21 @@
 
   </refsect1>
-<refsect1>
-<title>BUGS</title>
-
-<para>For now the program has been only tested on audio signals sampled at 44.1
-kHz.</para>
-
-</refsect1>
+  <refsect1>
+  <title>BUGS</title>
+
+  <para>For now the program has only been tested on audio signals sampled at
+  44.1&nbsp;kHz.</para>
+
+  </refsect1>
 
   <refsect1>
     <title>SEE ALSO</title>
 
-	<para>
-	<command>aubiocut</command>(1)
-	<command>aubiotrack</command>(1)
-	<command>aubionotes</command>(1)
-	<command>aubiopitch</command>(1)
-	</para>
-
+    <para>
+    <command>aubiotrack</command>(1)
+    <command>aubionotes</command>(1)
+    <command>aubiocut</command>(1)
+    <command>aubiopitch</command>(1)
+    </para>
 
   </refsect1>
@@ -213,3 +216,2 @@
 
 
-
Index: doc/aubiopitch.sgml
===================================================================
--- doc/aubiopitch.sgml	(revision 042e0959a7832921a051fa4c04860cca2ba0c548)
+++ doc/aubiopitch.sgml	(revision beea3cfad02b018a96c83874f871cd152a48c1e6)
@@ -58,6 +58,5 @@
     <refname>&dhpackage;</refname>
 
-    <refpurpose>a command line tool for real time wav to midi
-    conversion</refpurpose>
+    <refpurpose>a command line tool to extract pitch candidates from sound files.</refpurpose>
 
   </refnamediv>
@@ -72,9 +71,15 @@
     <para>This manual page documents briefly the <command>&dhpackage;</command> command.</para>
 
-    <para><command>aubionotes</command> attempts to label each fram of the
-    input sound file with a pitch. When no pitch candidate is found, the
-    output is 0. Results can be printed in Hertz or in MIDI pitch.  A plotting
-    module is available via the Gnuplot Python package. 4 functions are
-    available.</para>
+    <para>The <emphasis>aubio</emphasis> library provides a small set of
+    functions to extract events and objects from audio, from live streams or
+    still files. Onsets are used to label the beginning of notes, pitches to
+    label their height.</para>
+
+    <para><command>&dhpackage;</command> attempts to extract fundamental
+    frequency in sound files. When no pitch candidate is found, the output is
+    0. Five fundamental frequency extraction methods are available. Results can
+    be printed in Hertz or in MIDI pitch.</para>
+
+    <para>A plotting module is available via the Gnuplot Python package.</para>
 
   </refsect1>
@@ -172,4 +177,34 @@
   </varlistentry>
   <varlistentry>
+  <term><option>-q</option>
+  <option>--quiet</option></term>
+  <listitem>
+  <para>be quiet</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-h</option>
+  <option>--help</option></term>
+  <listitem>
+  <para>Show a summary of options.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-v</option>
+  <option>--verbose</option></term>
+  <listitem>
+  <para>make lots of noise [default]</para>
+  </listitem>
+  </varlistentry>
+  </variablelist>
+
+  <refsect2>
+    <title>Plotting options</title>
+
+  <para>When the Python interface to Gnuplot is installed, the following
+  additional options are available.</para>
+
+  <variablelist>
+  <varlistentry>
   <term><option>-p</option>
   <option>--plot</option></term>
@@ -186,4 +221,18 @@
   </varlistentry>
   <varlistentry>
+  <term><option>-x</option>
+  <option>--xsize=SIZE</option></term>
+  <listitem>
+  <para>define horizontal plot size [default=1.]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-y</option>
+  <option>--ysize=SIZE</option></term>
+  <listitem>
+  <para>define vertical plot size [default=1.]</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
   <term><option>-O</option>
   <option>--outplot=OUTPLOT</option></term>
@@ -192,37 +241,24 @@
   </listitem>
   </varlistentry>
-  <varlistentry>
-  <term><option>-v</option>
-  <option>--verbose</option></term>
-  <listitem>
-  <para>make lots of noise [default]</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-q</option>
-  <option>--quiet</option></term>
-  <listitem>
-  <para>be quiet</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-h</option>
-  <option>--help</option></term>
-  <listitem>
-  <para>show this help message and exit</para>
-  </listitem>
-  </varlistentry>
-</variablelist>
-
-
-</refsect1>
+  </variablelist>
+  </refsect2>
+
+  </refsect1>
+  <refsect1>
+  <title>BUGS</title>
+
+  <para>For now the program has only been tested on audio signals sampled at
+  44.1&nbsp;kHz.</para>
+
+  </refsect1>
+
   <refsect1>
     <title>SEE ALSO</title>
 
     <para>
+    <command>aubioonset</command>(1)
+    <command>aubiotrack</command>(1)
     <command>aubionotes</command>(1)
-    <command>aubioonset</command>(1)
     <command>aubiocut</command>(1)
-    <command>aubiotrack</command>(1)
     </para>
 
Index: doc/aubiotrack.sgml
===================================================================
--- doc/aubiotrack.sgml	(revision 042e0959a7832921a051fa4c04860cca2ba0c548)
+++ doc/aubiotrack.sgml	(revision beea3cfad02b018a96c83874f871cd152a48c1e6)
@@ -63,5 +63,5 @@
   <refsynopsisdiv>
     <cmdsynopsis>
-      <command>&dhpackage; <parameter>[options]</parameter></command>
+      <command>&dhpackage; <parameter>[options] [-i soundfile]</parameter></command>
     </cmdsynopsis>
   </refsynopsisdiv>
@@ -70,11 +70,19 @@
 
     <para>This manual page documents briefly the <command>&dhpackage;</command> command.</para>
+
+    <para>The <emphasis>aubio</emphasis> library provides a small set of
+    functions to extract events and objects from audio, from live streams or
+    still files. Onsets are used to label the beginning of notes, pitches to
+    label their height.</para>
 
     <para><command>&dhpackage;</command> attempts to tap the beat and detect
     beat locations in musical sounds. When started with an input file argument
     (<option>-i</option>), aubiotrack print the beat locations in second
-    detected in the file. Without an input file is given, aubiotrack will start
-    as a jack client and play a woodblock sound at predicted beat
-    locations.</para>
+    detected in the file.</para>
+    
+    <para>When started without an input file argument
+    (<option>--input</option>), <command>&dhpackage;</command> creates jack
+    input and output ports. When an input file is given, the results are given
+    on the console.</para>
 
   </refsect1>
@@ -82,6 +90,7 @@
     <title>OPTIONS</title>
 
-<para>This program follows the usual GNU command line syntax, with long options
-starting with two dashes (`-').  A summary of options is included below.</para>
+    <para>This program follows the usual GNU command line syntax, with long
+    options starting with two dashes (`-').  A summary of options is included
+    below.</para>
 
 <variablelist>
@@ -90,6 +99,8 @@
   <option>--input filein</option></term>
   <listitem>
-<para>Run analysis on this audio file. Most common (uncompressed) formats are 
-supported.</para>
+
+  <para>Run analysis on this audio file. Most common uncompressed formats are
+  supported.</para>
+
   </listitem>
   </varlistentry>
@@ -100,5 +111,5 @@
 
   <para>Save results in this file. The file will be created on the model of the
-  input file. Results are marked by a very short wood-block sample.</para>
+  input file. Results are marked by a short wood-block sample.</para>
 
   </listitem>
@@ -125,7 +136,7 @@
   <para>Set the threshold value for the onset peak picking. Typical values are
   within <literal>0.001</literal> and <literal>0.900</literal>. Default is
-  <literal>0.1</literal>. The <emphasis>lower</emphasis> the <emphasis>more
-  sensible</emphasis>.  Try <literal>0.3</literal> in case of
-  over-detections.</para>
+  <literal>0.1</literal>. <emphasis>Lower</emphasis> threshold values imply 
+  <emphasis>more</emphasis> onsets detected. Try <literal>0.3</literal> in
+  case of over-detections.</para>
 
   </listitem>
@@ -135,5 +146,12 @@
   <option>--jack</option></term>
   <listitem>
-<para>Run in jack mode (default when started without input file) and creates a midi output.</para>
+  <para>Run in jack mode (default when started without input file) and creates a midi output.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-v</option>
+  <option>--verbose</option></term>
+  <listitem>
+  <para>Show results on the console (default).</para>
   </listitem>
   </varlistentry>
@@ -142,13 +160,5 @@
   <option>--help</option></term>
   <listitem>
-<para>Show summary of options.</para>
-  </listitem>
-  </varlistentry>
-  <varlistentry>
-  <term><option>-v</option>
-  <option>--verbose</option></term>
-  <listitem>
-<para>Show results on the console.</para>
-
+  <para>Show summary of options.</para>
   </listitem>
   </varlistentry>
@@ -156,4 +166,12 @@
 
   </refsect1>
+  <refsect1>
+  <title>BUGS</title>
+
+  <para>For now the program has only been tested on audio signals sampled at
+  44.1&nbsp;kHz.</para>
+
+  </refsect1>
+
   <refsect1>
     <title>SEE ALSO</title>
@@ -161,18 +179,10 @@
     <para>
     <command>aubioonset</command>(1)
+    <command>aubionotes</command>(1)
     <command>aubiocut</command>(1)
-    <command>aubionotes</command>(1)
     <command>aubiopitch</command>(1)
     </para>
 
   </refsect1>
-
-<refsect1>
-<title>BUGS</title>
-
-<para>For now the program has been only tested on audio signals sampled at 44.1
-kHz.</para>
-
-</refsect1>
 
   <refsect1>
@@ -208,3 +218,2 @@
 
 
-
